List the SCIM Resource Types

GET /api/0/organizations/{organization_id_or_slug}/scim/v2/ResourceTypes

List the resource types available via SCIM: User (organization members) and Group (teams). Pagination parameters are ignored per RFC 7644 section 4; both resource types are always returned.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Scopes

<auth_token> requires one of the following scopes:
  • member:admin
  • member:read
  • member:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/scim/v2/ResourceTypes \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 2, "startIndex": 1, "itemsPerPage": 2, "Resources": [ { "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ResourceType" ], "id": "User", "name": "User", "description": "SCIM User maps to Sentry Organization Member", "endpoint": "/Users", "schema": "urn:ietf:params:scim:schemas:core:2.0:User", "meta": { "resourceType": "ResourceType", "location": "https://sentry.io/api/0/organizations/example-org/scim/v2/ResourceTypes/User" } }, { "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ResourceType" ], "id": "Group", "name": "Group", "description": "SCIM Group maps to Sentry Team", "endpoint": "/Groups", "schema": "urn:ietf:params:scim:schemas:core:2.0:Group", "meta": { "resourceType": "ResourceType", "location": "https://sentry.io/api/0/organizations/example-org/scim/v2/ResourceTypes/Group" } } ] }
Was this helpful?